Bug 522817 - SELinux is preventing sshd (sshd_t) "read" nx_server_home_ssh_t.
Summary: SELinux is preventing sshd (sshd_t) "read" nx_server_home_ssh_t.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-11 15:56 UTC by Marco Hartgring
Modified: 2010-01-20 09:33 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-01-20 09:33:56 UTC


Attachments (Terms of Use)
nxsetup_output_warning (2.23 KB, application/octet-stream)
2009-09-11 15:56 UTC, Marco Hartgring
no flags Details
sealert_output (2.46 KB, application/octet-stream)
2009-09-11 15:56 UTC, Marco Hartgring
no flags Details
nxsetup_output_correct (1.66 KB, application/octet-stream)
2009-09-11 15:57 UTC, Marco Hartgring
no flags Details

Description Marco Hartgring 2009-09-11 15:56:05 UTC
Description of problem:
I am trying to start a nx server on a fresh installation of Fedora 11 x86_64 which is fully updated.

Version-Release number of selected component (if applicable):
openssh-server-5.2p1-2.fc11
selinux-policy-3.6.12-81.fc11

How reproducible:
Always

Steps to Reproduce:
1. Install freenx-server
2. run /usr/libexec/nx/nxsetup --install --setup-nomachine-key
  
Actual results:
See nxsetup_output_warning & sealert_output

Expected results:
See nxsetup_output_correct (output generated with setenforce 0)

Additional info:

Comment 1 Marco Hartgring 2009-09-11 15:56:32 UTC
Created attachment 360698 [details]
nxsetup_output_warning

Comment 2 Marco Hartgring 2009-09-11 15:56:48 UTC
Created attachment 360699 [details]
sealert_output

Comment 3 Marco Hartgring 2009-09-11 15:57:05 UTC
Created attachment 360700 [details]
nxsetup_output_correct

Comment 4 Daniel Walsh 2009-09-14 17:21:05 UTC
Miroslav add
	read_lnk_files_pattern($1, nx_server_home_ssh_t, nx_server_home_ssh_t)

To nx_read_home_files interface.

Comment 5 Miroslav Grepl 2009-09-16 12:38:36 UTC
Fixed in selinux-policy-3.6.12-83.fc11.noarch

Comment 7 Miroslav Grepl 2010-01-20 09:33:56 UTC
Closing all bugs that have been in modified for over a month.  Please reopen if
the bug is not actually fixed.


Note You need to log in before you can comment on or make changes to this bug.